Bug 1076976 - Review Request: rubygem-settingslogic - Simple settings solution for Ruby
Review Request: rubygem-settingslogic - Simple settings solution for Ruby
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Josef Stribny
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-16 18:16 EDT by František Dvořák
Modified: 2016-01-04 00:52 EST (History)
4 users (show)

See Also:
Fixed In Version: rubygem-settingslogic-2.0.9-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-07 11:34:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jstribny: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description František Dvořák 2014-03-16 18:16:51 EDT
Spec URL: http://scientific.zcu.cz/fedora/rubygem-settingslogic-2.0.9-1/rubygem-settingslogic.spec
SRPM URL: http://scientific.zcu.cz/fedora/rubygem-settingslogic-2.0.9-1/rubygem-settingslogic-2.0.9-1.fc21.src.rpm
Description: Settingslogic is a simple configuration and settings solution that uses an ERB enabled YAML file. Settingslogic works with Rails, Sinatra, or any Ruby project.
Fedora Account System Username: valtri

koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6638805

I would like to package rOCCI for Fedora (Ruby Framework OCCI). This gem is dependency for rOCCI-core (https://github.com/EGI-FCTF/rOCCI-core).
Comment 3 František Dvořák 2014-07-27 13:38:30 EDT
Spec URL: http://scientific.zcu.cz/fedora/rubygem-settingslogic-2.0.9-2b/rubygem-settingslogic.spec
SRPM URL: http://scientific.zcu.cz/fedora/rubygem-settingslogic-2.0.9-2b/rubygem-settingslogic-2.0.9-2.fc22.src.rpm

koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=7200456

* Sun Jul 27 2014 František Dvořák <valtri@civ.zcu.cz> - 2.0.9-2
- Update BR/R for EPEL and Fedora >= 20
- Remove development files before build
- Run tests inside %%{gem_instdir}
Comment 4 Josef Stribny 2014-07-28 03:43:21 EDT
> BuildRequires:  rubygem(rspec)
> BuildRequires:  rubygem(rspec-core)

Requiring rspec-core here is redundant as its a dependency of rspec.

> # Remove developer-only files.
> for f in .gitignore Gemfile Gemfile.lock README.rdoc Rakefile; do

You sure can remove files used only for development, but README.rdoc is part of the documentation and as such should be placed in -doc subpackage and marked as %doc.
Comment 5 František Dvořák 2014-07-28 08:19:30 EDT
(In reply to Josef Stribny from comment #4)
> > BuildRequires:  rubygem(rspec)
> > BuildRequires:  rubygem(rspec-core)
> 
> Requiring rspec-core here is redundant as its a dependency of rspec.
> 

Yes, it is, except EPEL6. Moved rspec-core BR into sl6 macro block.

(and there will be needed to disable checks, if adding to EPEL7 branch - there is no rubygem(rspec-core) yet)


> > # Remove developer-only files.
> > for f in .gitignore Gemfile Gemfile.lock README.rdoc Rakefile; do
> 
> You sure can remove files used only for development, but README.rdoc is part
> of the documentation and as such should be placed in -doc subpackage and
> marked as %doc.

Didn't catch that, thanks.


Spec URL: http://scientific.zcu.cz/fedora/rubygem-settingslogic-2.0.9-3/rubygem-settingslogic.spec
SRPM URL: http://scientific.zcu.cz/fedora/rubygem-settingslogic-2.0.9-3/rubygem-settingslogic-2.0.9-3.fc22.src.rpm

* Mon Jul 28 2014 František Dvořák <valtri@civ.zcu.cz> - 2.0.9-3
- Added README.rdoc
Comment 6 Josef Stribny 2014-07-28 12:09:15 EDT
> Yes, it is, except EPEL6. Moved rspec-core BR into sl6 macro block.

Try not to get lost in all those macros. Sometimes it's better to have different specs in more branches as the specs with a lot of conditionals cannot be easily upgraded by automatic scripts/tools and might be difficult for packagers doing OS wide fixes to deal with. But that's just up to you.

As this gem doesn't have any C extension I would probably remove the gem2rpm comment as misleading. Otherwise the fixes has been made, the package builds, installs, runs ==> APPROVING.
Comment 7 František Dvořák 2014-07-28 13:41:39 EDT
(In reply to Josef Stribny from comment #6)
> > Yes, it is, except EPEL6. Moved rspec-core BR into sl6 macro block.
> 
> Try not to get lost in all those macros. Sometimes it's better to have
> different specs in more branches as the specs with a lot of conditionals
> cannot be easily upgraded by automatic scripts/tools and might be difficult
> for packagers doing OS wide fixes to deal with. But that's just up to you.
> 

True, I've already though about separating at least the EPEL6 changes... I'll probably throw all the differences to the branches, there will be also the %check exception for EPEL7.

> As this gem doesn't have any C extension I would probably remove the gem2rpm
> comment as misleading. Otherwise the fixes has been made, the package
> builds, installs, runs ==> APPROVING.

OK. Thanks!
Comment 8 František Dvořák 2014-07-28 13:49:50 EDT
New Package SCM Request
=======================
Package Name: rubygem-settingslogic
Short Description: Simple settings solution for Ruby
Upstream URL: https://github.com/binarylogic/settingslogic
Owners: valtri
Branches: f19 f20 f21 el6 epel7
InitialCC:
Comment 9 Gwyn Ciesla 2014-07-28 14:53:38 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2014-07-28 17:39:24 EDT
rubygem-settingslogic-2.0.9-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rubygem-settingslogic-2.0.9-3.fc20
Comment 11 Fedora Update System 2014-07-28 17:40:33 EDT
rubygem-settingslogic-2.0.9-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rubygem-settingslogic-2.0.9-3.fc19
Comment 12 Fedora Update System 2014-07-28 17:41:23 EDT
rubygem-settingslogic-2.0.9-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/rubygem-settingslogic-2.0.9-3.el6
Comment 13 Fedora Update System 2014-07-30 03:01:29 EDT
rubygem-settingslogic-2.0.9-3.fc20 has been pushed to the Fedora 20 testing repository.
Comment 14 Fedora Update System 2014-08-07 11:25:37 EDT
rubygem-settingslogic-2.0.9-3.fc19 has been pushed to the Fedora 19 stable repository.
Comment 15 Fedora Update System 2014-08-07 11:34:21 EDT
rubygem-settingslogic-2.0.9-3.fc20 has been pushed to the Fedora 20 stable repository.
Comment 16 Fedora Update System 2014-08-15 14:58:52 EDT
rubygem-settingslogic-2.0.9-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.